%global momorel 1
%global prever 1
%global betaver 2
%global srcname kradio4
%global qtver 4.4.3
%global kdever 4.2.0
%global kdelibsrel 1m

Summary: Comfortable radio application for KDE
Name: kradio
Version: 4.0.0
Release: 1.%{prever}.%{momorel}m%{?dist}
License: GPLv2
URL: http://www.kde-apps.org/content/show.php/KRadio4+for+KDE4.x?content=28097
Group: Applications/Multimedia
Source0: http://www.nocabal.de/~emw/%{name}/download/%{srcname}-%{version}-beta%{betaver}.tar.bz2
NoSource: 0
Source1: README.momonga
Patch0: %{srcname}-snapshot-2009-03-01-r694-desktop.patch
Patch1: %{srcname}-snapshot-2009-03-01-r694-gcc44.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: vorbis-tools
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: alsa-lib-devel
BuildPreReq: cmake
BuildPreReq: desktop-file-utils
BuildPreReq: ffmpeg-devel
BuildPreReq: lame-devel
BuildPreReq: libogg-devel
BuildPreReq: libsndfile-devel
BuildPreReq: libvorbis-devel
BuildPreReq: lirc-devel

%description
Comfortable V4L/V4L2-Radio Application for KDE

KRadio is a comfortable radio application for KDE with support for 
V4L and V4L2 radio cards drivers.

KRadio currently provides:

* V4L/V4L2 Radio support
* RDS support
* PVR support
* Remote Control support (LIRC)
* Alarms, Sleep Countdown
* Several GUI Controls (Docking Menu, Station Quickbar, Radio Display)
* Timeshifter Capability
* Recording Capabilities (mp3, ogg/vorbis, wav, ...)
* Extendable Plugin Architecture

This Package also includes a growing collection of station preset
files for many cities around the world contributed by KRadio Users.

As KRadio is based on an extendable plugin architecture, contributions
of new plugins (e.g. Internet Radio Streams, new cool GUIs) are welcome.

%prep
%setup -q -n %{srcname}-%{version}-beta%{betaver}

%patch0 -p1 -b .desktop~
%patch1 -p1 -b .gcc44~

install -m 644 %{SOURCE1} .

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# link icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/kradio4.png %{buildroot}%{_datadir}/pixmaps/kradio4.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde4 \
  src/kradio.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog FAQ INSTALL README* REQUIREMENTS TODO*
%{_kde4_bindir}/kradio4
%{_kde4_libdir}/kradio4
%{_kde4_datadir}/applications/kde4/kradio.desktop
%{_kde4_appsdir}/kradio4
%{_kde4_iconsdir}/*color/*/*/kradio*.png
%{_datadir}/locale/*/LC_MESSAGES/kradio4*.mo
%{_datadir}/pixmaps/kradio4.png

%changelog
* Sun Mar 15 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.0-1.1.1m)
- update to version 4.0.0-beta2

* Tue Mar 10 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.0-0.20090308.1m)
- update to 20090308 snapshot

* Wed Mar  4 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.0.0-0.20090301.2m)
- apply gcc44 patch

* Mon Mar  2 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.0-0.20090301.1m)
- initial package for radio freaks using Momonga Linux
